% Global example
% WHITE SQUARE

i1 = imread('data/sag1.tif');
i1 = double(i1) / 256;
[h,w] = size(i1);

t= -20 * pi/180;
M_org=[cos(t) sin(t) 0; -sin(t) cos(t) 0; 0 0 1 ];

i2 = aff_warp(i1,M_org) ;

dx = 64;
dy = 120;
dw = 96;
dh = 96;
i2([1:dh]+dy,[1:dw]+dx) = 1;

params                  = params_default;
params.glob.dispFlag    = 1;
params.em.sigma_global  = 0.01;
params.em.useEdgeMask   = 0;
params.em.applybcFlag   = 0;


dispimg([i1 i2],'Original Images: source and target');

figure;
[M,ib,ic] = register2dem_global(i1,i2,params);

i1w = aff_warp(i1,M);
dispimg([i1 i2 i1w],'source, target and registered source');
M
M_org

